@charset "UTF-8";

:root {
    --input-bg-color: #fff;
    --input-color: #000;

    --input-border-color: rgb(224, 224, 230);
    --input-hborder-color: rgb(202, 202, 202);
    --input-fborder-color: #000;

    --input-btn-bg-color: rgb(255,202,0);
    --input-btn-color: rgb(0, 0, 0);

    --input-span-bg-color: #000;
    --input-span-color: #fff;
}

:root.dark {
    --input-bg-color: rgb(15, 15, 15);
    --input-color: rgb(204, 204, 204);
    --input-border-color: rgb(32, 32, 32);
    --input-hborder-color: var(--blue-color);
    --input-fborder-color: var(--blue-color);
    --input-span-bg-color: var(--blue-color);
}

form.form-a {
    margin: 30px auto 10px auto;
    max-width: 500px;
}

textarea, 
select,
input[type=submit],
input[type=button],
input[type=password],
input[type=text] {
    color: var(--input-color);
    font-size: 16px;
    font-family: 'Open Sans', sans-serif;

    border: 1px solid var(--input-border-color);
    border-radius: 1px;
    box-sizing: border-box;
    
    background: var(--input-bg-color);
    -webkit-appearance: none;
    appearance: none;
    display: block;
    outline: none;

    margin: 10px 0px;
    padding: 9px 10px;
    width: 100%;
}

textarea { resize: vertical; }

input[type=password]:hover,
input[type=text]:hover,
textarea:hover,
select:hover { border-color: var(--input-hborder-color); }

input[type=password]:focus, 
input[type=text]:focus,
textarea:focus,
select:focus { border-color: var(--input-fborder-color); }

select {
    background-image: url(../icons/select.svg);
    background-position: left 5px center;
    background-repeat: no-repeat;
    background-size: 18px;
    padding-left: 27px;
}

html.dark select { background-image: url(../icons/black-select.svg); }


input[type=submit],
input[type=button] {
    text-transform: uppercase;
    font-weight: bold;
    color: var(--input-btn-color);
    cursor: pointer;
    border: none;
    background-color: var(--input-btn-bg-color);
}

input[type=button].select-file {
    background: var(--input-bg-color);
    background-image: url(../icons/upload.svg);
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: left 4px center;
    border: 1px solid var(--input-border-color);
    color: var(--input-color);
}

html.dark input[type=button].select-file { background-image: url(../icons/black-upload.svg); }

input[type=submit].delete,
input[type=submit].alarming {
    color: var(--white-color);
    background-color: rgb(218, 95, 95);
}

textarea:disabled,
select:disabled,
input[type=submit]:disabled,
input[type=button]:disabled,
input[type=password]:disabled,
input[type=text]:disabled {
    color: rgb(74, 74, 74);
}

input[type=text]:disabled {
    color: rgb(33, 33, 33);
}

form > label {
    display: table;
    margin: 10px;
}

div.fieldset,
div.inputField {
    position: relative;
    margin: 10px 0px;
}

div.fieldset > span,
div.inputField > span {
    background-color: var(--input-span-bg-color);
    vertical-align: 1px;
    font-size: 13px;
    text-transform: uppercase;
    color: var(--white-color);
    margin-left: 1px;
    padding: 3px 10px;
    font-weight: bold;
}

div.inputField > div > select,
div.inputField > div > textarea,
div.inputField > div > input,
div.inputField > select,
div.inputField > textarea,
div.inputField > input { margin: 0px; }
div.fieldset > div {
    border: 1px solid var(--input-border-color);
    background-color: var(--input-bg-color);
    padding: 20px 10px;
}

div.remove {
    display: none;
    position: absolute;
    right: 0;
    top: 10px;
    border-radius: 100%;
    appearance: none;
    background-color: rgb(255,202,0);
    background-image: url(../icons/cross.svg);
    background-repeat: no-repeat;
    background-size: 10px;
    background-position: center;
    color: transparent;
    border: none;
    width: 20px;
    height: 20px;
}

label:hover div.remove,
div.inputField:hover div.remove {
    cursor: pointer;
    display: block;
}

div.doubleInput,
div.tripleInput { display: flex; }

div.doubleInput > div {
    margin-right: 4px;
    width: calc(100% / 2);
}

div.tripleInput > div {
    margin-right: 4px;
    width: calc(100% / 3);;
}
